## org.apache.lucene.benchmark.byTask.feeds
Class EnwikiDocMaker

    java.lang.Object
      org.apache.lucene.benchmark.byTask.feeds.DocMaker
          org.apache.lucene.benchmark.byTask.feeds.EnwikiDocMaker

Deprecated. Please use `DocMaker` instead, with content.source=EnwikiContentSource

    public class EnwikiDocMaker

extends DocMaker

A `DocMaker` which reads the English Wikipedia dump. Uses `EnwikiContentSource` as its content source, regardless if a different content source was defined in the configuration.

Field Summary

Fields inherited from class org.apache.lucene.benchmark.byTask.feeds.DocMaker
`BODY_FIELD, bodyIndexVal, BYTES_FIELD, config, DATE_FIELD, ID_FIELD, indexProperties, indexVal, NAME_FIELD, reuseFields, source, storeVal, termVecVal, TITLE_FIELD`

Constructor Summary
`EnwikiDocMaker()` Deprecated.

Method Summary
`void` `setConfig(Config config)` Deprecated. Set the configuration parameters of this doc maker.

Methods inherited from class org.apache.lucene.benchmark.byTask.feeds.DocMaker
`close, getBytesCount, getDocState, getTotalBytesCount, incrNumDocsCreated, makeDocument, makeDocument, printDocStatistics, resetInputs`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### EnwikiDocMaker

    public EnwikiDocMaker()

  Deprecated.

Method Detail

### setConfig

    public void setConfig(Config config)

  Deprecated.
  Description copied from class: `DocMaker`
  Set the configuration parameters of this doc maker.

  Overrides:
    `setConfig` in class `DocMaker`

Copyright © 2000-2011 Apache Software Foundation. All Rights Reserved.